<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['start'])) {
    $start = abs(intval($_GET['start']));
} else {
    $start = 0;
} 
if (isset($_GET['uz'])) {
    $uz = check($_GET['uz']);
} elseif (isset($_POST['uz'])) {
    $uz = check($_POST['uz']);
} else {
    $uz = "";
} 

show_title('site.png', 'Рейтинг долгожителей');
$config['newtitle'] = 'Рейтинг долгожителей';
# ###########################################################################################
# #                                   Вывод пользователей                                  ##
# ###########################################################################################
$total = DB :: $dbh -> querySingle("SELECT count(*) FROM `visit`;");

if ($total > 0) {
    if ($start >= $total) {
        $start = 0;
    } 

    $queryvisit = DB :: $dbh -> query("SELECT * FROM `visit` ORDER BY `visit_alltime` DESC, `visit_user` ASC LIMIT " . $start . ", " . $config['lifelist'] . ";");

    $i = 0;
    while ($data = $queryvisit -> fetch()) {
        ++$i;

        echo '<div class="b">' . ($start + $i) . '. <img src="../images/img/user.gif" alt="image" /> ';

        if ($uz == $data['visit_user']) {
            echo '<b><big><a href="../pages/anketa.php?uz=' . $data['visit_user'] . '&amp;' . SID . '"><span style="color:#ff0000">' . nickname($data['visit_user']) . '</span></a></big></b> ' . user_online($data['visit_user']) . '</div>';
        } else {
            echo '<b><a href="../pages/anketa.php?uz=' . $data['visit_user'] . '&amp;' . SID . '">' . nickname($data['visit_user']) . '</a></b> ' . user_online($data['visit_user']) . '</div>';
        } 

        echo '<div>Провел на сайте: ' . makestime($data['visit_alltime']) . '<br />';
        echo 'Всего переходов: ' . $data['visit_allcount'] . '</div>';
    } 

    page_jumpnavigation('lifelist.php?', $config['lifelist'], $start, $total);
    page_strnavigation('lifelist.php?', $config['lifelist'], $start, $total);
    # ###########################################################################################
    # #                                 Поиск пользователя                                     ##
    # ###########################################################################################
    if (empty($uz)) {
        echo '<div class="form">';
        echo '<b>Поиск пользователя:</b><br />';
        echo '<form action="lifelist.php?start=' . $start . '&amp;' . SID . '" method="post">';
        echo '<input type="text" name="uz" value="' . $log . '" />';
        echo '<input type="submit" value="Искать" /></form></div><br />';
    } else {
        $queryuser = DB :: $dbh -> querySingle("SELECT `users_id` FROM `users` WHERE `users_login`=? LIMIT 1;", array($uz));
        if (!empty($queryuser)) {
            $queryrating = DB :: $dbh -> query("SELECT `visit_user` FROM `visit` ORDER BY `visit_alltime` DESC, `visit_user` ASC;");
            $ratusers = $queryrating -> fetchAll(PDO :: FETCH_COLUMN);

            foreach ($ratusers as $key => $ratval) {
                if ($uz == $ratval) {
                    $rat = $key + 1;
                } 
            } 

            if (!empty($rat)) {
                $page = floor(($rat - 1) / $config['lifelist']) * $config['lifelist'];

                if ($start != $page) {
                    header ("Location: lifelist.php?start=$page&uz=$uz&" . SID);
                    exit;
                } 

                echo '<span style="color:#00ff00">Позиция в рейтинге:</span> <b>' . ($rat) . '</b><br /><br />';
            } else {
                show_error('Пользователь с данным логином не найден!');
            } 
        } else {
            show_error('Пользователь с данным логином не зарегистрирован!');
        } 

        echo '<a href="lifelist.php?start=' . $start . '&amp;' . SID . '">Искать еще</a><br /><br />';
    } 

    echo 'Всего пользователей: <b>' . $total . '</b><br /><br />';
} else {
    show_error('Пользователей еще нет!');
} 

echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

include_once ("../themes/" . $config['themes'] . "/foot.php");

?>
